### Function

# Vips check_coding_noneorlabq

#### Declaration [src]

    int
    vips_check_coding_noneorlabq (
      const char* domain,
      VipsImage* im
    )

#### Description [src]

Check that the image is uncoded or LABQ coded. If not, set an error message and return non-zero.

See also

`vips_error()`.

#### Parameters

`domain`

  Type: `const char*`

  The originating domain for the error message.

  The data is owned by the caller of the function.
  The value is a NUL terminated UTF-8 string.

`im`

  Type: `VipsImage`

  Image to check.

  The data is owned by the caller of the function.

#### Return value

Type: `int`

0 on OK, or -1 on error.